Subject: [PATCHv2 14/19] ARM: OMAP4: wakeupgen: enable clocks for save_secure_all

From: [email-masked] (Kevin Hilman)
Date: Tue, 29 May 2012 13:15:23 -0700

Tero Kristo <[email-masked]> writes:

> On Wed, 2012-05-16 at 17:06 -0700, Kevin Hilman wrote:
>> +Benoit
>> 
>> Tero Kristo <[email-masked]> writes:
>> 
>> > save_secure_all needs l3_main_3_ick and l4_secure_clkdm enabled,
>> > otherwise the secure ROM code will crash.
>> >
>> > Signed-off-by: Tero Kristo <[email-masked]>
>> 
>> I think I mentioned this already (I'm already lost in what I've said for
>> thisseries), but I don't think the secure RAM stuff belongs in the
>> wakeupgen driver.
>
> As mentioned, save_secure_all saves:
> - secure RAM
> - GIC registers
> - some other mysterious stuff
>
> Attempting to do separate saves for secure RAM + GIC hang the device
> during wakeup, in addition to being really inefficient (secure API calls
> are expensive.)

I guess my comment wasn't that this isn't needed, but that it doesn't
seem to belong in the wakeupgen base (which should probably converted
into a real driver.)

Seems better to have this stuff in the secure code, maybe omap-secure.c?

Kevin